## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit  8fab11d12fdf8f1a72c405b31b9d10111fa4fa5e

Name:           g4music
Version:        3.8.1
Release:        %autorelease
Summary:        Fast fluent lightweight music player written in GTK4

# GPL-3.0-or-later: the project as a whole
# GPL-2.0-or-later: src/gst/ape-demux.c
# CC0-1.0: The metainfo file
License:        GPL-3.0-or-later AND GPL-2.0-or-later AND CC0-1.0
URL:            https://gitlab.gnome.org/neithern/g4music
VCS:            git:%{url}.git
Source:         %{url}/-/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  vala

Requires:       dbus-common
Requires:       hicolor-icon-theme

%description
G4Music is a fast fluent lightweight music player written in GTK4, with
a beautiful and adaptive user interface.  It focuses on high performance
for large music collections.

Features:
- Supports most music file types, samba and any other remote protocol
  (depends on GIO and GStreamer).
- Fast loading and parsing thousands of music files in a few seconds,
  monitors local changes.
- Low memory usage for large music collections with album covers
  (embedded and external), no thumbnail caches to store.
- Groups and sorts by album/artist/title, shuffle list, full-text
  searching.
- Gaussian blurred cover as background, follows GNOME light/dark mode.
- Drag-drop from GNOME Files, showing music in Files.
- Supports audio peaks visualizer.
- Supports gapless playback.
- Supports normalizing volume with ReplayGain.
- Supports pipewire and other audio sinks.
- Supports MPRIS control.

%prep
%autosetup -n %{name}-v%{version}-%{commit}

# Fedora only requires that appstream-util pass at the validate-relax level
sed -i "s/'validate'/'validate-relax'/" data/meson.build

%build
%meson --buildtype=release
%meson_build

%install
%meson_install
%find_lang %{name}

%check
# Note that the tests run both desktop-file-validate and appstream-util
# validation
%meson_test

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/g4music
%{_datadir}/applications/com.github.neithern.g4music.desktop
%{_datadir}/dbus-1/services/com.github.neithern.g4music.service
%{_datadir}/glib-2.0/schemas/com.github.neithern.g4music.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/com.github.neithern.g4music.svg
%{_datadir}/icons/hicolor/symbolic/apps/com.github.neithern.g4music-symbolic.svg
%{_metainfodir}/com.github.neithern.g4music.appdata.xml

%changelog
## START: Generated by rpmautospec
* Mon Jul 29 2024 Jerry James <loganjerry@gmail.com> - 3.8.1-1
- Version 3.8.1

* Sat Jul 20 2024 Jerry James <loganjerry@gmail.com> - 3.8-1
- Version 3.8

* Wed Jul 03 2024 Jerry James <loganjerry@gmail.com> - 3.7.2-1
- Version 3.7.2

* Thu Jun 06 2024 Jerry James <loganjerry@gmail.com> - 3.6.2-1
- Version 3.6.2

* Sat May 25 2024 Jerry James <loganjerry@gmail.com> - 3.6-1
- Version 3.6

* Thu Apr 25 2024 Jerry James <loganjerry@gmail.com> - 3.5.2-1
- Version 3.5.2

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 14 2024 Jerry James <loganjerry@gmail.com> - 3.5.1-1
- Version 3.5.1

* Sat Nov 25 2023 Jerry James <loganjerry@gmail.com> - 3.4.1-1
- Initial RPM
## END: Generated by rpmautospec
